List Expanded Nodes

List Expanded Nodes
List nodes

Get list of infrastructure nodes with all details. Only admin users can retrieve this information.

Request
URI
GET
https://{api_host}/api/ni/infra/expanded-nodes
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ExpandedNodeListResult of type(s) application/json
{
    "results": [
        {
            "id": "10000:901:54535703518889415",
            "entity_type": "NODE",
            "node_type": "PROXY_VM",
            "node_id": "I8T7CR167RJRVY1FAY74HYFDCZ",
            "ip_address": "10.220.232.214",
            "name": "Collector_10.220.232.214",
            "is_physical_flow_collector": false,
            "version": "6.10.0.1668532499",
            "health": {
                "health_status": "HEALTHY",
                "health_details": [
                    {
                        "message": "SUCCEEDED",
                        "code": "0"
                    }
                ]
            },
            "registered_timestamp": 1667887284891,
            "last_updated_timestamp": 1668156689312
        }
    ],
    "total_count": 1
}
array of object
results
Optional

results

integer
total_count
Optional

total_count


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


403

Forbidden

Returns ForbiddenResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


500

Internal error

Returns InternalErrorResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/ni/infra/expanded-nodes